:::


Browsing this Thread:   1 Anonymous Users






升級MPLAB X後無法編譯不過
#1
初級會員
初級會員


查看用戶資訊
請問各位前輩
MPLAB X由3.05版的升級到5.30版的
XC8由1.34版升級到V2.1版
但原本3.05版可以編譯過的程式,現在都編譯不過
請問是什麼沒設定到嗎?
謝謝

發表於: 1/21 14:11
Twitter Facebook Google Plus Linkedin Del.icio.us Digg Reddit Mr. Wong 頂部


Re: 升級MPLAB X後無法編譯不過
#2
管理員
管理員


查看用戶資訊
提供一下您的錯誤訊息或直接打包專案上傳, 這樣比較好找問題.

發表於: 1/21 14:29
Twitter Facebook Google Plus Linkedin Del.icio.us Digg Reddit Mr. Wong 頂部


Re: 升級MPLAB X後無法編譯不過
#3
初級會員
初級會員


查看用戶資訊
OUTPUT顯示如附圖

Attach file:



jpg  (0.00 KB)


jpg  (0.00 KB)


發表於: 1/21 15:19
Twitter Facebook Google Plus Linkedin Del.icio.us Digg Reddit Mr. Wong 頂部


Re: 升級MPLAB X後無法編譯不過
#4
版主
版主


查看用戶資訊
週邊函數庫找不到。

建議將 XC8 編譯器的版本改回 XC8 v1.34 看看。XC8 V2.xx 的版本不再內建週邊函式庫所以要另外安裝函式庫,並需要在 Linker 去做指定,現在都改用 MCC 來取代週邊函數庫了。

發表於: 1/23 9:04
Twitter Facebook Google Plus Linkedin Del.icio.us Digg Reddit Mr. Wong 頂部


Re: 升級MPLAB X後無法編譯不過
#5
初級會員
初級會員


查看用戶資訊
好的 我在試看看 謝謝

發表於: 1/30 9:02
Twitter Facebook Google Plus Linkedin Del.icio.us Digg Reddit Mr. Wong 頂部







You can view topic.
You cannot start a new topic.
You cannot reply to posts.
You cannot edit your posts.
You cannot delete your posts.
You cannot add new polls.
You cannot vote in polls.
You cannot attach files to posts.
You cannot post without approval.
You cannot use topic type.
You cannot use HTML syntax.
You cannot use signature.
You cannot create PDF files.
You cannot get print page.

[進階搜尋]